Open CASCADE Technology: GeomAPI_IntSS Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
GeomAPI_IntSS Class Reference

This class implements methods for computing the intersection curves between two surfaces. The result is curves from Geom. The "domain" used for a surface is the natural parametric domain unless the surface is a RectangularTrimmedSurface from Geom. More...

`#include <GeomAPI_IntSS.hxx>`

## Public Member Functions
| GeomAPI_IntSS ()
| Constructs an empty object. Use the function Perform for further initialization algorithm by two surfaces. More...
| GeomAPI_IntSS (const Handle< Geom_Surface > &S1, const Handle< Geom_Surface > &S2, const Standard_Real Tol)
| Computes the intersection curves between the two surfaces S1 and S2. Parameter Tol defines the precision of curves computation. For most cases the value 1.0e-7 is recommended to use. Warning Use the function IsDone to verify that the intersections are successfully computed.I. More...
void | Perform (const Handle< Geom_Surface > &S1, const Handle< Geom_Surface > &S2, const Standard_Real Tol)
| Initializes an algorithm with the given arguments and computes the intersection curves between the two surfaces S1 and S2. Parameter Tol defines the precision of curves computation. For most cases the value 1.0e-7 is recommended to use. Warning Use function IsDone to verify that the intersections are successfully computed. More...
Standard_Boolean | IsDone () const
| Returns True if the intersection was successful. More...
Standard_Integer | NbLines () const
| Returns the number of computed intersection curves. Exceptions StdFail_NotDone if the computation fails. More...
const Handle< Geom_Curve > & | Line (const Standard_Integer Index) const
| Returns the computed intersection curve of index Index. Exceptions StdFail_NotDone if the computation fails. Standard_OutOfRange if Index is out of range [1, NbLines] where NbLines is the number of computed intersection curves. More...

## Detailed Description

This class implements methods for computing the intersection curves between two surfaces. The result is curves from Geom. The "domain" used for a surface is the natural parametric domain unless the surface is a RectangularTrimmedSurface from Geom.

## Constructor & Destructor Documentation

GeomAPI_IntSS::GeomAPI_IntSS | ( |  | ) |

Constructs an empty object. Use the function Perform for further initialization algorithm by two surfaces.

GeomAPI_IntSS::GeomAPI_IntSS | ( | const Handle< Geom_Surface > & | S1,
|  | const Handle< Geom_Surface > & | S2,
|  | const Standard_Real | Tol
| ) |  |

Computes the intersection curves between the two surfaces S1 and S2. Parameter Tol defines the precision of curves computation. For most cases the value 1.0e-7 is recommended to use. Warning Use the function IsDone to verify that the intersections are successfully computed.I.

## Member Function Documentation

Standard_Boolean GeomAPI_IntSS::IsDone | ( |  | ) | const

Returns True if the intersection was successful.

const Handle< Geom_Curve >& GeomAPI_IntSS::Line | ( | const Standard_Integer | Index | ) | const

Returns the computed intersection curve of index Index. Exceptions StdFail_NotDone if the computation fails. Standard_OutOfRange if Index is out of range [1, NbLines] where NbLines is the number of computed intersection curves.

Standard_Integer GeomAPI_IntSS::NbLines | ( |  | ) | const

Returns the number of computed intersection curves. Exceptions StdFail_NotDone if the computation fails.

void GeomAPI_IntSS::Perform | ( | const Handle< Geom_Surface > & | S1,
|  | const Handle< Geom_Surface > & | S2,
|  | const Standard_Real | Tol
| ) |  |

Initializes an algorithm with the given arguments and computes the intersection curves between the two surfaces S1 and S2. Parameter Tol defines the precision of curves computation. For most cases the value 1.0e-7 is recommended to use. Warning Use function IsDone to verify that the intersections are successfully computed.

The documentation for this class was generated from the following file:

- GeomAPI_IntSS.hxx